<?php

	global $sess;

	$checkIt = true;

	$form = new CChkForm();

	$kslink  = new CLink($_GET['xpage'], $_GET['xexepage']);
	$nslink  = new CLink($_GET['xpage'], $_GET['xexepage']);

	$currord = $_GET['ord'];
	$oldlink = new CLink($_GET['xpage'], $_GET['xexepage']);
	$stdlink = new CLink($_GET['xpage'], $_GET['xexepage']);
	$unlink  = new CLink($_GET['xpage'], $_GET['xexepage']);
	$alllink = new CLink($_GET['xpage'], $_GET['xexepage']);

	if ($cykl) {
		$kslink->addParam('Ad_cykl', $cykl);
		$nslink->addParam('Ad_cykl', $cykl);
		$oldlink->addParam('Ad_cykl', $cykl);
		$stdlink->addParam('Ad_cykl', $cykl);
		$unlink->addParam('Ad_cykl', $cykl);
		$alllink->addParam('Ad_cykl', $cykl);
	}
	
	$kslink->addParam('ord', 'KOD');
	$oldlink->addParam('ord', $currord);
	$stdlink->addParam('ord', $currord);
	$unlink->addParam('ord', $currord);
	$alllink->addParam('ord', $currord);
	
	$stdlink->addParam('mode', 'std');
	$oldlink->addParam('mode', 'old');
	$unlink->addParam('mode', 'uncheck');
	$alllink->addParam('mode', 'allcheck');
	
	$tab = new CTable (3, "ttable", "cellspacing=1");
	$tab->addField(' ');
	$tab->addField($kslink->get('Kod'));
	$tab->addField($nslink->get('Przedmiot'));
	$Ad_init_all = array();

	foreach ($Ad_przedmioty as $key => $value) {
		$Ad_init_all[$key] = ($Ad_checked[$key]); // czy niepuste?
		if ($Ad_checked[$key] && $checkIt)
 			$tab->addField($form->inputText($key, 'checkbox', "checked=checked"));
		else
 			$tab->addField($form->inputText($key, 'checkbox', ""));
		$tab->addField($Ad_kody[$key]);
		$tab->addField("$value");
	}
	$sess->del('Ad_init_all');
	$sess->set('Ad_init_all', $Ad_init_all);
	
	$tab->addField(' ');
	$tab->addField(' ');
	$tab->addField(	$form->inputText('reset', 'reset', 'value="Reset"')
			.$form->inputText('submit', 'submit', 'value=Wprowadz'));
	$tab->addField($form->xexepage('Ad_init'));
	$tab->addField($form->xpage('Ad_init'));
	$tab->addField($form->input('Ad_cykl', 'hidden', "value=\"$cykl\""));
	$tab->close();
	$form->close();
	
	printf ("Sortuj wg. (".$kslink->get('KODU').") lub (".$nslink->get('PRZEDMIOTU').")<br>");
	printf ($oldlink->get("Jak rok temu")."|");
	printf ($unlink->get("Czyść wszystko")."|");
	printf ($alllink->get("Zaznacz wszystko")."|");
	printf ($stdlink->get("Wyświetl standardowo"));
?>
